Index: bitlbee.c
===================================================================
--- bitlbee.c	(revision 9cb9868256c51a45983aac894428230de6035d79)
+++ bitlbee.c	(revision 5c09a593072914336dcec3e8e92b28a1d4f03fa0)
@@ -518,5 +518,5 @@
 		}
 	
-	irc_usermsg( irc, "Unknown command: %s. Please use help commands to get a list of available commands.", cmd[0] );
+	irc_usermsg( irc, "Unknown command: %s. Please use \x02help commands\x02 to get a list of available commands.", cmd[0] );
 	
 	return( 1 );
Index: commands.c
===================================================================
--- commands.c	(revision 9cb9868256c51a45983aac894428230de6035d79)
+++ commands.c	(revision 5c09a593072914336dcec3e8e92b28a1d4f03fa0)
@@ -337,5 +337,5 @@
 	else
 	{
-		irc_usermsg( irc, "Unknown command: account %s. Please use help commands to get a list of available commands.", cmd[1] );
+		irc_usermsg( irc, "Unknown command: account %s. Please use \x02help commands\x02 to get a list of available commands.", cmd[1] );
 	}
 	
@@ -738,5 +738,8 @@
 	
 	for( num = 0; q; q = q->next, num ++ )
-		irc_usermsg( irc, "%d, %s", num, q->question );
+		if( q->gc ) /* Not necessary yet, but it might come later */
+			irc_usermsg( irc, "%d, %s(%s): %s", num, proto_name[q->gc->protocol], q->gc->username, q->question );
+		else
+			irc_usermsg( irc, "%d, BitlBee: %s", num, q->question );
 	
 	return( 0 );
Index: irc.c
===================================================================
--- irc.c	(revision 9cb9868256c51a45983aac894428230de6035d79)
+++ irc.c	(revision 5c09a593072914336dcec3e8e92b28a1d4f03fa0)
@@ -1069,5 +1069,5 @@
 	irc_spawn( irc, u );
 	
-	irc_usermsg( irc, "Welcome to the BitlBee gateway!\n\nIf you've never used BitlBee before, please do read the help information using the help command. Lots of FAQ's are answered there." );
+	irc_usermsg( irc, "Welcome to the BitlBee gateway!\n\nIf you've never used BitlBee before, please do read the help information using the \x02help\x02 command. Lots of FAQ's are answered there." );
 	
 	irc->status = USTATUS_LOGGED_IN;
Index: protocols/jabber/jabber.c
===================================================================
--- protocols/jabber/jabber.c	(revision 9cb9868256c51a45983aac894428230de6035d79)
+++ protocols/jabber/jabber.c	(revision 5c09a593072914336dcec3e8e92b28a1d4f03fa0)
@@ -1128,5 +1128,5 @@
 		 */
 		struct jabber_add_permit *jap = g_new0(struct jabber_add_permit, 1);
-		gchar *msg = g_strdup_printf(_("The user %s wants to add you to their buddy list."),
+		gchar *msg = g_strdup_printf(_("The user %s wants to add you to his/her buddy list."),
 				Jid);
 
Index: protocols/msn/msn_util.c
===================================================================
--- protocols/msn/msn_util.c	(revision 9cb9868256c51a45983aac894428230de6035d79)
+++ protocols/msn/msn_util.c	(revision 5c09a593072914336dcec3e8e92b28a1d4f03fa0)
@@ -166,5 +166,5 @@
 	
 	g_snprintf( buf, sizeof( buf ),
-	            "The user %s (%s) wants to add you to his/her buddy list. Do you want to allow this?",
+	            "The user %s (%s) wants to add you to his/her buddy list.",
 	            handle, realname );
 	do_ask_dialog( gc, buf, bla, msn_buddy_ask_yes, msn_buddy_ask_no );
Index: protocols/nogaim.c
===================================================================
--- protocols/nogaim.c	(revision 9cb9868256c51a45983aac894428230de6035d79)
+++ protocols/nogaim.c	(revision 5c09a593072914336dcec3e8e92b28a1d4f03fa0)
@@ -122,5 +122,5 @@
 			gc->prpl->set_away( gc, s, away );
 			if( set_getint( gc->irc, "debug" ) )
-				irc_usermsg( gc->irc, "Setting away state for %s to %s", proto_name[gc->protocol], s );
+				serv_got_crap( gc, "Setting away state to %s", s );
 		}
 		else
@@ -216,5 +216,5 @@
 void set_login_progress( struct gaim_connection *gc, int step, char *msg )
 {
-	irc_usermsg( gc->irc, "%s(%s) - Logging in: %s", proto_name[gc->protocol], gc->username, msg );
+	serv_got_crap( gc, "Logging in: %s", msg );
 }
 
@@ -222,5 +222,5 @@
 void hide_login_progress( struct gaim_connection *gc, char *msg )
 {
-	irc_usermsg( gc->irc, "%s(%s) - Login error: %s", proto_name[gc->protocol], gc->username, msg );
+	serv_got_crap( gc, "Login error: %s", msg );
 }
 
@@ -228,5 +228,5 @@
 void hide_login_progress_error( struct gaim_connection *gc, char *msg )
 {
-	irc_usermsg( gc->irc, "%s(%s) - Logged out: %s", proto_name[gc->protocol], gc->username, msg );
+	serv_got_crap( gc, "Logged out: %s", msg );
 }
 
@@ -276,5 +276,5 @@
 	u = user_find( gc->irc, gc->irc->nick );
 	
-	irc_usermsg( gc->irc, "%s(%s) - Logged in", proto_name[gc->protocol], gc->username );
+	serv_got_crap( gc, "Logged in" );
 	
 	gc->keepalive = g_timeout_add( 60000, send_keepalive, gc );
@@ -290,5 +290,5 @@
 		
 		if( u == NULL )
-			irc_usermsg( gc->irc, "\x02""***\x02"" BitlBee now supports ICQ server-side contact lists. "
+			serv_got_crap( gc, "\x02""***\x02"" BitlBee now supports ICQ server-side contact lists. "
 			                      "See \x02""help import_buddies\x02"" for more information." );
 	}
@@ -323,5 +323,5 @@
 	account_t *a;
 	
-	irc_usermsg( gc->irc, "%s(%s) - Signing off..", proto_name[gc->protocol], gc->username );
+	serv_got_crap( gc, "Signing off.." );
 
 	gaim_input_remove( gc->keepalive );
@@ -355,5 +355,5 @@
 	{
 		int delay = set_getint( irc, "auto_reconnect_delay" );
-		irc_usermsg( gc->irc, "%s(%s) - Reconnecting in %d seconds..", proto_name[gc->protocol], gc->username, delay);
+		serv_got_crap( gc, "Reconnecting in %d seconds..", delay );
 		
 		a->reconnect = 1;
@@ -369,5 +369,5 @@
 void do_error_dialog( struct gaim_connection *gc, char *msg, char *title )
 {
-	irc_usermsg( gc->irc, "%s(%s) - Error: %s", proto_name[gc->protocol], gc->username, msg );
+	serv_got_crap( gc, "Error: %s", msg );
 }
 
@@ -398,10 +398,10 @@
 	
 	if( set_getint( irc, "debug" ) && 0 ) /* This message is too useless */
-		irc_usermsg( irc, "Receiving user add from protocol: %s", handle );
+		serv_got_crap( gc, "Receiving user add from handle: %s", handle );
 	
 	if( user_findhandle( gc, handle ) )
 	{
 		if( set_getint( irc, "debug" ) )
-			irc_usermsg( irc, "User already exists, ignoring add request: %s", handle );
+			serv_got_crap( gc, "User already exists, ignoring add request: %s", handle );
 		
 		return;
@@ -496,5 +496,5 @@
 		
 		if( ( gc->flags & OPT_LOGGED_IN ) && set_getint( gc->irc, "display_namechanges" ) )
-			irc_usermsg( gc->irc, "User `%s' changed name to `%s'", u->nick, u->realname );
+			serv_got_crap( gc, "User `%s' changed name to `%s'", u->nick, u->realname );
 	}
 }
@@ -529,6 +529,6 @@
 			if( set_getint( gc->irc, "debug" ) || g_strcasecmp( set_getstr( gc->irc, "handle_unknown" ), "ignore" ) != 0 )
 			{
-				irc_usermsg( gc->irc, "serv_got_update() for handle %s on connection %s(%s):", handle, proto_name[gc->protocol], gc->username );
-				irc_usermsg( gc->irc, "loggedin = %d, type = %d", loggedin, type );
+				serv_got_crap( gc, "serv_got_update() for handle %s:", handle );
+				serv_got_crap( gc, "loggedin = %d, type = %d", loggedin, type );
 			}
 			
@@ -610,5 +610,5 @@
 		{
 			if( set_getint( irc, "debug" ) )
-				irc_usermsg( irc, "Ignoring message from unknown handle %s on connection %s(%s)", handle, proto_name[gc->protocol], gc->username );
+				serv_got_crap( gc, "Ignoring message from unknown handle %s", handle );
 			
 			return;
@@ -632,5 +632,5 @@
 		else
 		{
-			irc_usermsg( irc, "Message from unknown handle %s on connection %s(%s):", handle, proto_name[gc->protocol], gc->username );
+			serv_got_crap( gc, "Message from unknown handle %s:", handle );
 			u = user_find( irc, irc->mynick );
 		}
@@ -692,5 +692,5 @@
 	
 	if( set_getint( gc->irc, "debug" ) )
-		irc_usermsg( gc->irc, "You were removed from conversation %d", (int) id );
+		serv_got_crap( gc, "You were removed from conversation %d", (int) id );
 	
 	for( c = gc->conversations; c && c->id != id; c = (l=c)->next );
@@ -748,5 +748,5 @@
 		irc_privmsg( gc->irc, u, "PRIVMSG", c->channel, "", msg );
 	else
-		irc_usermsg( gc->irc, "Message from/to conversation %s@%d (unknown conv/user): %s", who, id, msg );
+		serv_got_crap( gc, "Message from/to conversation %s@%d (unknown conv/user): %s", who, id, msg );
 }
 
@@ -776,5 +776,5 @@
 	
 	if( set_getint( gc->irc, "debug" ) )
-		irc_usermsg( gc->irc, "Creating new conversation: (id=%d,handle=%s)", id, handle );
+		serv_got_crap( gc, "Creating new conversation: (id=%d,handle=%s)", id, handle );
 	
 	return( c );
@@ -795,5 +795,5 @@
 	
 	if( set_getint( b->gc->irc, "debug" ) )
-		irc_usermsg( b->gc->irc, "User %s added to conversation %d", handle, b->id );
+		serv_got_crap( b->gc, "User %s added to conversation %d", handle, b->id );
 	
 	/* It might be yourself! */
@@ -829,5 +829,5 @@
 	
 	if( set_getint( b->gc->irc, "debug" ) )
-		irc_usermsg( b->gc->irc, "User %s removed from conversation %d (%s)", handle, b->id, reason ? reason : "" );
+		serv_got_crap( b->gc, "User %s removed from conversation %d (%s)", handle, b->id, reason ? reason : "" );
 	
 	/* It might be yourself! */
Index: query.c
===================================================================
--- query.c	(revision 9cb9868256c51a45983aac894428230de6035d79)
+++ query.c	(revision 5c09a593072914336dcec3e8e92b28a1d4f03fa0)
@@ -127,14 +127,14 @@
 		disp = 1;
 	}
-	
+	//Using irc_usermsg instead of serv_got_crap because \x02A is a char too, so a SPACE is needed.	
 	if( ans )
 	{
 		q->yes( NULL, q->data );
-		irc_usermsg( irc, "Accepted: %s", q->question );
+		serv_got_crap( q->gc, "\2Accepted\2: %s", q->question );
 	}
 	else
 	{
 		q->no( NULL, q->data );
-		irc_usermsg( irc, "Rejected: %s", q->question );
+		serv_got_crap( q->gc, "\2Rejected\2: %s", q->question );
 	}
 	q->data = NULL;
@@ -149,9 +149,13 @@
 {
 	if( q->gc )
-		irc_usermsg( irc, "Question on %s connection (handle %s):", proto_name[q->gc->protocol], q->gc->username );
+	{
+		serv_got_crap( q->gc, "New request:" );
+		serv_got_crap( q->gc, "%s\nYou can use the yes/no commands to accept/reject this request.", q->question );
+	}
 	else
-		irc_usermsg( irc, "Question:" );
-	
-	irc_usermsg( irc, "%s\nYou can use the yes/no commands to answer this question.", q->question );
+	{
+		irc_usermsg( irc, "New request:" );
+		irc_usermsg( irc, "%s\nYou can use the yes/no commands to accept/reject this request.", q->question );
+	}
 }
 
